# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from six import with_metaclass
from azure.core import CaseInsensitiveEnumMeta


class AlertSeverity(with_metaclass(CaseInsensitiveEnumMeta, float, Enum)):
    """Severity of the alert. Should be an integer between [0-4]. Value of 0 is severest
    """

    ZERO = 0
    ONE = 1
    TWO = 2
    THREE = 3
    FOUR = 4

class ConditionOperator(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """The criteria operator.
    """

    EQUALS = "Equals"
    GREATER_THAN = "GreaterThan"
    GREATER_THAN_OR_EQUAL = "GreaterThanOrEqual"
    LESS_THAN = "LessThan"
    LESS_THAN_OR_EQUAL = "LessThanOrEqual"

class DimensionOperator(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """Operator for dimension values
    """

    INCLUDE = "Include"
    EXCLUDE = "Exclude"

class TimeAggregation(with_metaclass(CaseInsensitiveEnumMeta, str, Enum)):
    """Aggregation type
    """

    COUNT = "Count"
    AVERAGE = "Average"
    MINIMUM = "Minimum"
    MAXIMUM = "Maximum"
    TOTAL = "Total"
